﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text.RegularExpressions;
using DA;

public partial class CommunicationManagerRegister : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["companyId"] != null)
        {
            cmpId.Text = Request.QueryString["companyId"];
            string[] company = CompanyDataAdapter.FindCompany(int.Parse(cmpId.Text));
            cmpId.Text = company[0];
            CmpRegIdTxt.Text = company[1];
            CmpNameTxt.Text = company[2];
            DropDownList1.Visible = false;
            companydd.Visible = false;
        }
        else
        {
            CmpNameTxt.Visible = false;
            CmpRegIdTxt.Visible = false;
            Label2.Visible = false;
            Label1.Visible = false;
        }
    }

    protected void RegisterButton_Click(object sender, EventArgs e)
    {
        string filepath = userImage.PostedFile.FileName;

        string[] words = filepath.Split('.');

        string file_ext = words[(words.Length - 1)];
        string filename = words[0];
        for (int i = 1; i < (words.Length - 2); i++)
        {
            filename = filename + words[0];
        }

        DateTime dt = new DateTime(2008, 3, 9, 16, 5, 7, 123);

        string file = filename + String.Format("{0:d_M_yyyy_HH_mm_ss}", dt) + "." + file_ext;

        //save the file to the server
        userImage.PostedFile.SaveAs(Server.MapPath(".\\") + "UserAvatars\\" + file);

        int companyId = 0;

        if(cmpId.Text != "")
        {
            companyId = int.Parse(cmpId.Text);
        }
        else
        {
            companyId = int.Parse(DropDownList1.SelectedValue);
            string[] company = CompanyDataAdapter.FindCompany(companyId);
            cmpId.Text = company[0];
            CmpRegIdTxt.Text = company[1];
            CmpNameTxt.Text = company[2];
        }
            
        int userId = UserDataAdapter.CreateUser(userNameTxt.Text, passwordTxt.Text, firstNameTxt.Text,
            lastNameTxt.Text, roleTxt.Text, emailTxt.Text, postionTxt.Text, file);

        CompanyDataAdapter.addCompanyUser(userId , companyId);

        if (userId != 0)
        {
            Response.Redirect("CompanyProfile.aspx?companyId=" + companyId +"&message=addUser");
        }

    }
}
