﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DA;
using System.Web.Security;

public partial class LoginPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void LoginButton_Click(object sender, EventArgs e)
    {
        int userId = UserDataAdapter.ValidateUser(userNameTxt.Text, passwordTxt.Text);

        if (userId != 0)
        {
            FormsAuthentication.SetAuthCookie(userId.ToString(), RememberMeCheckBox.Checked);

            string[] users = UserDataAdapter.FindUser(userId);

            Session["userId"] = users[0];
            Session["username"] = users[1];
            Session["role"] = users[2];
            Session["userImage"] = users[3];

            Response.Redirect("UserProfile.aspx?id=" + users[0]);
        }
    }
}