﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;
using System.Data.SqlClient;

namespace DA
{
    public static class AnnouncementDataAdapter
    {
        static string connectionString = DA.Settings.Default.connectionString;

        static public int addAnnouncement(int companyId,string companyName,string title, string description, string image)
        {
            SqlConnection connection = new SqlConnection(connectionString);
            SqlCommand command = connection.CreateCommand();
            command.CommandType = System.Data.CommandType.Text;

            command.CommandText = "Insert into anouncements (comp_id,title, description, date,image) values(@companyId, @title, @description,@date ,@image);" +
            "Select SCOPE_IDENTITY()";

            command.Parameters.AddWithValue("@companyId", companyId);
            command.Parameters.AddWithValue("@title", title);
            command.Parameters.AddWithValue("@description", description);
            command.Parameters.AddWithValue("@image", image);
            command.Parameters.AddWithValue("@date", DateTime.Now);

            try
            {
                connection.Open();
                companyId = int.Parse(command.ExecuteScalar().ToString());
            }
            finally
            {
                connection.Close();
            }

            return 1;
        }


        public static object companyId { get; set; }

        public static int addAnnouncement(int p)
        {
            throw new NotImplementedException();
        }
    }
}
